# Flipt React ⚛️
<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-5-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->

A monorepo that holds the libraries used as a [Flipt](https://flipt.io/) client for JavaScript projects, including the React library. Enabling or disabling the features rendering based on Feature Flags.

- 📦 Packages published in ESM, CommonJS and UMD.
- ⚡️ Lightweight, tree-shakeable and free from packages with side-effects.
- 🔋 Included batteries, not being necessary to install libraries (only in `@betrybe/flipt-react`)

| Package                                                    | Description                                                                    |
| ---------------------------------------------------------- | ------------------------------------------------------------------------------ |
| [`@betrybe/flipt-react`](./packages/flipt-react/README.md) | A package with _hooks_, components and _Providers_ used to query Flipt servers |
| [`@betrybe/flipt-sdk`](./packages/flipt-sdk/README.md)     | A package that holds the methods to use Flipt in _JavaScript_ projects         |

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://ivanrosolen.com.br"><img src="https://avatars.githubusercontent.com/u/226859?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Ivan Rosolen</b></sub></a><br /><a href="https://github.com/betrybe/flipt-js/commits?author=ivanrosolen" title="Documentation">📖</a></td>
    <td align="center"><a href="https://github.com/jliocsar"><img src="https://avatars.githubusercontent.com/u/60270538?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Julio Cesar</b></sub></a><br /><a href="#translation-jliocsar" title="Translation">🌍</a></td>
    <td align="center"><a href="http://vitorluizc.github.io"><img src="https://avatars.githubusercontent.com/u/9027363?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Vitor Luiz Cavalcanti</b></sub></a><br /><a href="https://github.com/betrybe/flipt-js/commits?author=VitorLuizC" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/ItaloPereira"><img src="https://avatars.githubusercontent.com/u/29663383?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Italo Pereira</b></sub></a><br /><a href="https://github.com/betrybe/flipt-js/commits?author=ItaloPereira" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/mateustalles"><img src="https://avatars.githubusercontent.com/u/39180176?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Mateus Talles</b></sub></a><br /><a href="https://github.com/betrybe/flipt-js/commits?author=mateustalles" title="Code">💻</a> <a href="https://github.com/betrybe/flipt-js/commits?author=mateustalles" title="Tests">⚠️</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!

## License

[Apache-2.0](./LICENSE)